Version 0.4 of the Monkeysphere Xul Extension (Firefox and Iceweasel browser plugin) has been released.

When used with the Monkeysphere Validation Agent, this browser plugin allows you to validate web sites via the OpenPGP web of trust when regular X.509 validation fails.

From the changelog:

  * auto-generate install.rdf to ensure proper version numbers.